{
  description = "Resume development environment";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;
        };

        tex = (
          pkgs.texlive.combine {
            inherit (pkgs.texlive)
              scheme-medium
              preprint
              titlesec
              enumitem
              sourcesanspro
              xifthen
              ifmtarg
              framed
              paralist
              fontawesome7
              ;
          }
        );

        preCommitTool = if pkgs ? prek then pkgs.prek else pkgs.pre-commit;
      in
      {
        devShells.default = pkgs.mkShell {
          packages = [
            tex
            pkgs.tex-fmt
            preCommitTool
          ];
        };
      }
    );
}